For the complete documentation index, see llms.txt. This page is also available as Markdown.

Alerts

List alerts (optionally matching certain criteria that are specified by query parameters).

get

Sample URLs

  • List only alerts that are either in state PENDING or ACCEPTED: https://api.ilert.com/api/alerts?states=PENDING&states=ACCEPTED

  • List only alerts that belong to the alert source with ID 1243 or 1743 and where user jd is a responder: https://api.ilert.com/api/alerts?sources=1243&sources=1743&responders=jd

  • Paginate first batch for a range of alerts (note: query parameters should be url encoded): https://api.ilert.com/api/alerts?start-index=0&max-results=100&from=2021-03-01T21:24:56.771Z&until=2021-04-01T21:24:56.771Z

  • Fetch next page, assuming equal to max-results were returned: https://api.ilert.com/api/alerts?start-index=100&max-results=100&from=2021-03-01T21:24:56.771Z&until=2021-04-01T21:24:56.771Z

  • Pagination should be done based on the reportTime field using the parameters from and until as well as start-index. When building a local alert state store the id field should be used as identifier. The alertKey field is not suitable for this, as it is used to group related alerts to each other.

Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Query parameters
start-indexinteger · int32Optional

an integer specifying the starting point (beginning with 0) when paging through a list of entities

Default: 0
max-resultsinteger · int32 · max: 100Optional

the maximum number of results when paging through a list of entities.

Default: 50
sourcesinteger · int64[]Optional

alert source IDs of the alert's alert source

policiesinteger · int64[]Optional

escalation policy IDs of the alert's escalation policy

respondersstring[]Optional

user ids of the user that is a responder of the alert

fromstring · date-timeOptional

from date, ISO-UTC e.g. 2021-05-25T21:24:56.771Z, based on reportTime

untilstring · date-timeOptional

until date, ISO-UTC e.g. 2021-05-26T21:24:56.771Z, based on reportTime

servicesinteger · int64[]Optional

ids of the affected services

severitiesinteger · int32[]Optional

severity of the alert, in range 1..5

labelsstringOptional

Filter by labels using a condition expression. Supports the operators ==, !=, in and not_in, combined with and (up to 20 conditions). Values must be url-encoded. An invalid expression returns 400. Examples: environment == 'production', region in ["us-east", "us-west"], environment == 'production' and severity != 'low'.

Responses
200

OK

application/json
idinteger · int64Optional
summarystringOptional
detailsstringOptional
reportTimestring · date-timeOptional
resolvedOnstring · date-timeOptional
statusstring · enumOptionalPossible values:
prioritystring · enumOptionalPossible values:
alertKeystringOptional
nextEscalationstring · date-timeRead-onlyOptional
nextEscalationRuleIndexnumberRead-onlyOptional
severityinteger · int32 · min: 1 · max: 5Optional

Optional severity in range 1..5.

linkedIncidentIdinteger · int64Read-onlyOptional

Id of the incident this alert is linked to, if any.

mergedIntoIdinteger · int64Read-onlyOptional

Id of the alert this alert has been merged into, if any.

mergeStatestring · enumRead-onlyOptional

The merge state of the alert.

Possible values:
get/alerts
GET /api/alerts HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

OK

[
  {
    "id": 1,
    "summary": "text",
    "details": "text",
    "reportTime": "2026-01-01T00:00:00.000Z",
    "resolvedOn": "2026-01-01T00:00:00.000Z",
    "status": "PENDING",
    "alertSource": {
      "id": 1,
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ],
      "name": "text",
      "iconUrl": "text",
      "lightIconUrl": "text",
      "darkIconUrl": "text",
      "escalationPolicy": {
        "id": 1,
        "name": "text",
        "escalationRules": [
          {
            "escalationTimeout": 1,
            "user": {
              "id": 1
            },
            "schedule": {
              "id": 1
            },
            "team": {
              "id": 1
            },
            "users": [
              {
                "id": 1,
                "firstName": "text",
                "lastName": "text"
              }
            ],
            "schedules": [
              {
                "id": 1,
                "name": "text",
                "type": "STATIC"
              }
            ],
            "teams": [
              {
                "id": 1,
                "name": "text"
              }
            ]
          }
        ],
        "teams": [
          {
            "id": 1,
            "name": "text"
          }
        ],
        "repeating": false,
        "frequency": 1,
        "delayMin": 0,
        "routingKey": "text",
        "managedBy": {
          "type": "API",
          "source": "text"
        }
      },
      "integrationType": "NAGIOS",
      "integrationKey": "text",
      "integrationUrl": "text",
      "autoResolutionTimeout": "text",
      "alertGroupingWindow": "text",
      "alertCreation": "ONE_OPEN_ALERT_ALLOWED",
      "status": "PENDING",
      "active": true,
      "alertPriorityRule": "HIGH",
      "supportHours": {
        "id": 1,
        "name": "text",
        "teams": [
          {
            "id": 1,
            "name": "text"
          }
        ],
        "timezone": "Europe/Berlin",
        "supportDays": {
          "MONDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "TUESDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "WEDNESDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "THURSDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "FRIDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "SATURDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "SUNDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          }
        },
        "exceptions": [
          {
            "name": "text",
            "start": "2026-01-01",
            "end": "2026-01-01",
            "supportStatus": "DURING"
          }
        ],
        "managedBy": {
          "type": "API",
          "source": "text"
        },
        "currentStatus": "DURING"
      },
      "bidirectional": true,
      "summaryTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "detailsTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "routingTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "linkTemplates": [
        {
          "text": "text",
          "hrefTemplate": {
            "textTemplate": "text",
            "elements": [
              {
                "type": "TEXT",
                "val": "text",
                "func": "text",
                "args": [
                  {
                    "S": "text",
                    "N": 1
                  }
                ]
              }
            ]
          }
        }
      ],
      "priorityTemplate": {
        "valueTemplate": {
          "textTemplate": "text",
          "elements": [
            {
              "type": "TEXT",
              "val": "text",
              "func": "text",
              "args": [
                {
                  "S": "text",
                  "N": 1
                }
              ]
            }
          ]
        },
        "mappings": [
          {
            "value": "text",
            "priority": "LOW"
          }
        ]
      },
      "severityTemplate": {
        "valueTemplate": {
          "textTemplate": "text",
          "elements": [
            {
              "type": "TEXT",
              "val": "text",
              "func": "text",
              "args": [
                {
                  "S": "text",
                  "N": 1
                }
              ]
            }
          ]
        },
        "mappings": [
          {
            "value": "text",
            "severity": 1
          }
        ]
      },
      "eventFilter": "text",
      "alertKeyTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "servicesTemplate": [
        {
          "textTemplate": "text",
          "elements": [
            {
              "type": "TEXT",
              "val": "text",
              "func": "text",
              "args": [
                {
                  "S": "text",
                  "N": 1
                }
              ]
            }
          ]
        }
      ],
      "eventTypeFilterCreate": "text",
      "eventTypeFilterAccept": "text",
      "eventTypeFilterResolve": "text",
      "autoRaiseAlerts": true,
      "scoreThreshold": 1,
      "severity": 1,
      "services": [
        {
          "id": 1,
          "name": "text",
          "alias": "text",
          "status": "OPERATIONAL",
          "description": "text",
          "oneOpenIncidentOnly": true,
          "showUptimeHistory": true,
          "teams": [
            {
              "id": 1,
              "name": "text"
            }
          ],
          "subscribed": true,
          "uptime": {
            "rangeStart": "2026-01-01T00:00:00.000Z",
            "rangeEnd": "2026-01-01T00:00:00.000Z",
            "outages": [
              {
                "status": "OPERATIONAL",
                "from": "2026-01-01T00:00:00.000Z",
                "until": "2026-01-01T00:00:00.000Z"
              }
            ],
            "uptimePercentage": {
              "uptimePercentage": {
                "p90": 1,
                "p60": 1,
                "p30": 1
              }
            }
          },
          "managedBy": {
            "type": "API",
            "source": "text"
          },
          "publicStatus": "OPERATIONAL",
          "labels": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          },
          "iconUrl": "text",
          "links": [
            {
              "href": "https://example.com",
              "text": "text"
            }
          ],
          "createdBy": {
            "type": "API",
            "source": "text"
          },
          "dependencies": [
            {
              "id": 1,
              "sourceServiceId": 1,
              "targetServiceId": 1,
              "notes": "text",
              "invalidAfter": "2026-01-01T00:00:00.000Z",
              "createdAt": "2026-01-01T00:00:00.000Z",
              "updatedAt": "2026-01-01T00:00:00.000Z",
              "createdBy": {
                "type": "API",
                "source": "text"
              },
              "managedBy": {
                "type": "API",
                "source": "text"
              }
            }
          ]
        }
      ],
      "setupStatus": "CREATED",
      "autoCreateServices": false,
      "createdAt": "text",
      "updatedAt": "text",
      "managedBy": {
        "type": "API",
        "source": "text"
      }
    },
    "escalationPolicy": {
      "id": 1,
      "name": "text",
      "escalationRules": [
        {
          "escalationTimeout": 1,
          "user": {
            "id": 1
          },
          "schedule": {
            "id": 1
          },
          "team": {
            "id": 1
          },
          "users": [
            {
              "id": 1,
              "firstName": "text",
              "lastName": "text"
            }
          ],
          "schedules": [
            {
              "id": 1,
              "name": "text",
              "type": "STATIC"
            }
          ],
          "teams": [
            {
              "id": 1,
              "name": "text"
            }
          ]
        }
      ],
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ],
      "repeating": false,
      "frequency": 1,
      "delayMin": 0,
      "routingKey": "text",
      "managedBy": {
        "type": "API",
        "source": "text"
      }
    },
    "priority": "HIGH",
    "alertKey": "text",
    "assignedTo": {
      "id": 1
    },
    "nextEscalation": "2026-01-01T00:00:00.000Z",
    "escalationRules": [
      {
        "escalationTimeout": 1,
        "user": {
          "id": 1
        },
        "schedule": {
          "id": 1
        },
        "team": {
          "id": 1
        },
        "users": [
          {
            "id": 1,
            "firstName": "text",
            "lastName": "text"
          }
        ],
        "schedules": [
          {
            "id": 1,
            "name": "text",
            "type": "STATIC"
          }
        ],
        "teams": [
          {
            "id": 1,
            "name": "text"
          }
        ]
      }
    ],
    "nextEscalationUser": {
      "id": 1,
      "firstName": "text",
      "lastName": "text",
      "email": "text",
      "timezone": "Europe/Berlin",
      "position": "text",
      "department": "text",
      "avatarUrl": "text",
      "language": "de",
      "region": "DE",
      "role": "STAKEHOLDER",
      "shiftColor": "text",
      "mutedUntil": "2026-01-01T00:00:00.000Z",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z"
    },
    "nextEscalationRuleIndex": 1,
    "images": [
      {
        "src": "text",
        "href": "text",
        "alt": "text"
      }
    ],
    "links": [
      {
        "href": "text",
        "text": "text"
      }
    ],
    "responders": [
      {
        "user": {
          "id": 1,
          "firstName": "text",
          "lastName": "text"
        },
        "status": "PENDING",
        "acceptedAt": "2026-01-01T00:00:00.000Z"
      }
    ],
    "severity": 1,
    "labels": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    },
    "customDetails": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "linkedIncidentId": 1,
    "mergedIntoId": 1,
    "mergeState": "NONE"
  }
]

Create alerts with customised parameters without requiring events from monitoring tools that use our Events API.

post

ATTENTION: do not use this endpoint to create monitoring related (or high volumes of) alerts, use '/api/events' instead, you have been warned! Escalation of the alert will be based on the alert source's escalation policy or may be overridden by providing a specific escalation policy or lastly specific set of responders (users), latter will only notify the user(s) and will not escalate any further.

Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Body
summarystringRequired
detailsstringOptional
prioritystring · enumOptionalPossible values:
Responses
201

the created and freshly escalated alert

application/json
idinteger · int64Optional
summarystringOptional
detailsstringOptional
reportTimestring · date-timeOptional
resolvedOnstring · date-timeOptional
statusstring · enumOptionalPossible values:
prioritystring · enumOptionalPossible values:
alertKeystringOptional
nextEscalationstring · date-timeRead-onlyOptional
nextEscalationRuleIndexnumberRead-onlyOptional
severityinteger · int32 · min: 1 · max: 5Optional

Optional severity in range 1..5.

linkedIncidentIdinteger · int64Read-onlyOptional

Id of the incident this alert is linked to, if any.

mergedIntoIdinteger · int64Read-onlyOptional

Id of the alert this alert has been merged into, if any.

mergeStatestring · enumRead-onlyOptional

The merge state of the alert.

Possible values:
post/alerts
POST /api/alerts HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 289

{
  "summary": "text",
  "details": "text",
  "alertSource": {
    "id": 1
  },
  "escalationPolicy": {
    "id": 1
  },
  "priority": "HIGH",
  "assignedTo": {
    "id": 1
  },
  "images": [
    {
      "src": "text",
      "href": "text",
      "alt": "text"
    }
  ],
  "links": [
    {
      "href": "text",
      "text": "text"
    }
  ],
  "responders": [
    {
      "user": {
        "id": 1,
        "firstName": "text",
        "lastName": "text"
      }
    }
  ]
}
201

the created and freshly escalated alert

{
  "id": 1,
  "summary": "text",
  "details": "text",
  "reportTime": "2026-01-01T00:00:00.000Z",
  "resolvedOn": "2026-01-01T00:00:00.000Z",
  "status": "PENDING",
  "alertSource": {
    "id": 1,
    "teams": [
      {
        "id": 1,
        "name": "text"
      }
    ],
    "name": "text",
    "iconUrl": "text",
    "lightIconUrl": "text",
    "darkIconUrl": "text",
    "escalationPolicy": {
      "id": 1,
      "name": "text",
      "escalationRules": [
        {
          "escalationTimeout": 1,
          "user": {
            "id": 1
          },
          "schedule": {
            "id": 1
          },
          "team": {
            "id": 1
          },
          "users": [
            {
              "id": 1,
              "firstName": "text",
              "lastName": "text"
            }
          ],
          "schedules": [
            {
              "id": 1,
              "name": "text",
              "type": "STATIC"
            }
          ],
          "teams": [
            {
              "id": 1,
              "name": "text"
            }
          ]
        }
      ],
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ],
      "repeating": false,
      "frequency": 1,
      "delayMin": 0,
      "routingKey": "text",
      "managedBy": {
        "type": "API",
        "source": "text"
      }
    },
    "integrationType": "NAGIOS",
    "integrationKey": "text",
    "integrationUrl": "text",
    "autoResolutionTimeout": "text",
    "alertGroupingWindow": "text",
    "alertCreation": "ONE_OPEN_ALERT_ALLOWED",
    "status": "PENDING",
    "active": true,
    "alertPriorityRule": "HIGH",
    "supportHours": {
      "id": 1,
      "name": "text",
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ],
      "timezone": "Europe/Berlin",
      "supportDays": {
        "MONDAY": {
          "start": "00:00:00",
          "end": "00:00:00"
        },
        "TUESDAY": {
          "start": "00:00:00",
          "end": "00:00:00"
        },
        "WEDNESDAY": {
          "start": "00:00:00",
          "end": "00:00:00"
        },
        "THURSDAY": {
          "start": "00:00:00",
          "end": "00:00:00"
        },
        "FRIDAY": {
          "start": "00:00:00",
          "end": "00:00:00"
        },
        "SATURDAY": {
          "start": "00:00:00",
          "end": "00:00:00"
        },
        "SUNDAY": {
          "start": "00:00:00",
          "end": "00:00:00"
        }
      },
      "exceptions": [
        {
          "name": "text",
          "start": "2026-01-01",
          "end": "2026-01-01",
          "supportStatus": "DURING"
        }
      ],
      "managedBy": {
        "type": "API",
        "source": "text"
      },
      "currentStatus": "DURING"
    },
    "bidirectional": true,
    "summaryTemplate": {
      "textTemplate": "text",
      "elements": [
        {
          "type": "TEXT",
          "val": "text",
          "func": "text",
          "args": [
            {
              "S": "text",
              "N": 1
            }
          ]
        }
      ]
    },
    "detailsTemplate": {
      "textTemplate": "text",
      "elements": [
        {
          "type": "TEXT",
          "val": "text",
          "func": "text",
          "args": [
            {
              "S": "text",
              "N": 1
            }
          ]
        }
      ]
    },
    "routingTemplate": {
      "textTemplate": "text",
      "elements": [
        {
          "type": "TEXT",
          "val": "text",
          "func": "text",
          "args": [
            {
              "S": "text",
              "N": 1
            }
          ]
        }
      ]
    },
    "linkTemplates": [
      {
        "text": "text",
        "hrefTemplate": {
          "textTemplate": "text",
          "elements": [
            {
              "type": "TEXT",
              "val": "text",
              "func": "text",
              "args": [
                {
                  "S": "text",
                  "N": 1
                }
              ]
            }
          ]
        }
      }
    ],
    "priorityTemplate": {
      "valueTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "mappings": [
        {
          "value": "text",
          "priority": "LOW"
        }
      ]
    },
    "severityTemplate": {
      "valueTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "mappings": [
        {
          "value": "text",
          "severity": 1
        }
      ]
    },
    "eventFilter": "text",
    "alertKeyTemplate": {
      "textTemplate": "text",
      "elements": [
        {
          "type": "TEXT",
          "val": "text",
          "func": "text",
          "args": [
            {
              "S": "text",
              "N": 1
            }
          ]
        }
      ]
    },
    "servicesTemplate": [
      {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      }
    ],
    "eventTypeFilterCreate": "text",
    "eventTypeFilterAccept": "text",
    "eventTypeFilterResolve": "text",
    "autoRaiseAlerts": true,
    "scoreThreshold": 1,
    "severity": 1,
    "services": [
      {
        "id": 1,
        "name": "text",
        "alias": "text",
        "status": "OPERATIONAL",
        "description": "text",
        "oneOpenIncidentOnly": true,
        "showUptimeHistory": true,
        "teams": [
          {
            "id": 1,
            "name": "text"
          }
        ],
        "subscribed": true,
        "uptime": {
          "rangeStart": "2026-01-01T00:00:00.000Z",
          "rangeEnd": "2026-01-01T00:00:00.000Z",
          "outages": [
            {
              "status": "OPERATIONAL",
              "from": "2026-01-01T00:00:00.000Z",
              "until": "2026-01-01T00:00:00.000Z"
            }
          ],
          "uptimePercentage": {
            "uptimePercentage": {
              "p90": 1,
              "p60": 1,
              "p30": 1
            }
          }
        },
        "managedBy": {
          "type": "API",
          "source": "text"
        },
        "publicStatus": "OPERATIONAL",
        "labels": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "iconUrl": "text",
        "links": [
          {
            "href": "https://example.com",
            "text": "text"
          }
        ],
        "createdBy": {
          "type": "API",
          "source": "text"
        },
        "dependencies": [
          {
            "id": 1,
            "sourceServiceId": 1,
            "targetServiceId": 1,
            "notes": "text",
            "invalidAfter": "2026-01-01T00:00:00.000Z",
            "createdAt": "2026-01-01T00:00:00.000Z",
            "updatedAt": "2026-01-01T00:00:00.000Z",
            "createdBy": {
              "type": "API",
              "source": "text"
            },
            "managedBy": {
              "type": "API",
              "source": "text"
            }
          }
        ]
      }
    ],
    "setupStatus": "CREATED",
    "autoCreateServices": false,
    "createdAt": "text",
    "updatedAt": "text",
    "managedBy": {
      "type": "API",
      "source": "text"
    }
  },
  "escalationPolicy": {
    "id": 1,
    "name": "text",
    "escalationRules": [
      {
        "escalationTimeout": 1,
        "user": {
          "id": 1
        },
        "schedule": {
          "id": 1
        },
        "team": {
          "id": 1
        },
        "users": [
          {
            "id": 1,
            "firstName": "text",
            "lastName": "text"
          }
        ],
        "schedules": [
          {
            "id": 1,
            "name": "text",
            "type": "STATIC"
          }
        ],
        "teams": [
          {
            "id": 1,
            "name": "text"
          }
        ]
      }
    ],
    "teams": [
      {
        "id": 1,
        "name": "text"
      }
    ],
    "repeating": false,
    "frequency": 1,
    "delayMin": 0,
    "routingKey": "text",
    "managedBy": {
      "type": "API",
      "source": "text"
    }
  },
  "priority": "HIGH",
  "alertKey": "text",
  "assignedTo": {
    "id": 1
  },
  "nextEscalation": "2026-01-01T00:00:00.000Z",
  "escalationRules": [
    {
      "escalationTimeout": 1,
      "user": {
        "id": 1
      },
      "schedule": {
        "id": 1
      },
      "team": {
        "id": 1
      },
      "users": [
        {
          "id": 1,
          "firstName": "text",
          "lastName": "text"
        }
      ],
      "schedules": [
        {
          "id": 1,
          "name": "text",
          "type": "STATIC"
        }
      ],
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ]
    }
  ],
  "nextEscalationUser": {
    "id": 1,
    "firstName": "text",
    "lastName": "text",
    "email": "text",
    "timezone": "Europe/Berlin",
    "position": "text",
    "department": "text",
    "avatarUrl": "text",
    "language": "de",
    "region": "DE",
    "role": "STAKEHOLDER",
    "shiftColor": "text",
    "mutedUntil": "2026-01-01T00:00:00.000Z",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z"
  },
  "nextEscalationRuleIndex": 1,
  "images": [
    {
      "src": "text",
      "href": "text",
      "alt": "text"
    }
  ],
  "links": [
    {
      "href": "text",
      "text": "text"
    }
  ],
  "responders": [
    {
      "user": {
        "id": 1,
        "firstName": "text",
        "lastName": "text"
      },
      "status": "PENDING",
      "acceptedAt": "2026-01-01T00:00:00.000Z"
    }
  ],
  "severity": 1,
  "labels": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "customDetails": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "linkedIncidentId": 1,
  "mergedIntoId": 1,
  "mergeState": "NONE"
}

List the distinct label keys used by the alerts of this account.

get

Fixed page size of 100. start-index must be 0 or a multiple of 100 and max-results must be 100; any other value returns 400.

Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Query parameters
querystringOptional

Filter the returned label keys by prefix.

start-indexintegerOptional

must be 0 or a multiple of 100

Default: 0
max-resultsintegerOptional

must be 100

Default: 100
Responses
200

the list of distinct label keys

application/json
keystringOptional
get/alerts/labels
GET /api/alerts/labels HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

the list of distinct label keys

[
  {
    "key": "text"
  }
]

List the distinct values used for a label key by the alerts of this account.

get

Fixed page size of 100. start-index must be 0 or a multiple of 100 and max-results must be 100; any other value returns 400.

Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
keystringRequired

the label key

Query parameters
querystringOptional

Filter the returned label values by prefix.

start-indexintegerOptional

must be 0 or a multiple of 100

Default: 0
max-resultsintegerOptional

must be 100

Default: 100
Responses
200

the list of distinct label values

application/json
valuestringOptional
get/alerts/labels/{key}/values
GET /api/alerts/labels/{key}/values HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

the list of distinct label values

[
  {
    "value": "text"
  }
]

Get the number of alerts matching the given filters.

get

Accepts the same filters as the alert list operation and returns the number of matching alerts.

Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Query parameters
sourcesinteger · int64[]Optional

alert source IDs of the alert's alert source

policiesinteger · int64[]Optional

escalation policy IDs of the alert's escalation policy

respondersstring[]Optional

user ids of the user that is a responder of the alert

fromstring · date-timeOptional

from date, ISO-UTC e.g. 2021-05-25T21:24:56.771Z, based on reportTime

untilstring · date-timeOptional

until date, ISO-UTC e.g. 2021-05-26T21:24:56.771Z, based on reportTime

servicesinteger · int64[]Optional

ids of the affected services

severitiesinteger · int32[]Optional

severity of the alert, in range 1..5

labelsstringOptional

Filter by labels using a condition expression. Supports the operators ==, !=, in and not_in, combined with and (up to 20 conditions). Values must be url-encoded. An invalid expression returns 400. Examples: environment == 'production', region in ["us-east", "us-west"], environment == 'production' and severity != 'low'.

Responses
200

the number of matching alerts

application/json
countinteger · int64Optional
get/alerts/count
GET /api/alerts/count HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

the number of matching alerts

{
  "count": 1
}

Get the alert with the specified id.

get
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Query parameters
Responses
200

alert object

application/json
idinteger · int64Optional
summarystringOptional
detailsstringOptional
reportTimestring · date-timeOptional
resolvedOnstring · date-timeOptional
statusstring · enumOptionalPossible values:
prioritystring · enumOptionalPossible values:
alertKeystringOptional
nextEscalationstring · date-timeRead-onlyOptional
nextEscalationRuleIndexnumberRead-onlyOptional
severityinteger · int32 · min: 1 · max: 5Optional

Optional severity in range 1..5.

linkedIncidentIdinteger · int64Read-onlyOptional

Id of the incident this alert is linked to, if any.

mergedIntoIdinteger · int64Read-onlyOptional

Id of the alert this alert has been merged into, if any.

mergeStatestring · enumRead-onlyOptional

The merge state of the alert.

Possible values:
get/alerts/{id}
GET /api/alerts/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

alert object

{
  "id": 1,
  "summary": "text",
  "details": "text",
  "reportTime": "2026-01-01T00:00:00.000Z",
  "resolvedOn": "2026-01-01T00:00:00.000Z",
  "status": "PENDING",
  "alertSource": {
    "id": 1,
    "teams": [
      {
        "id": 1,
        "name": "text"
      }
    ],
    "name": "text",
    "iconUrl": "text",
    "lightIconUrl": "text",
    "darkIconUrl": "text",
    "escalationPolicy": {
      "id": 1,
      "name": "text",
      "escalationRules": [
        {
          "escalationTimeout": 1,
          "user": {
            "id": 1
          },
          "schedule": {
            "id": 1
          },
          "team": {
            "id": 1
          },
          "users": [
            {
              "id": 1,
              "firstName": "text",
              "lastName": "text"
            }
          ],
          "schedules": [
            {
              "id": 1,
              "name": "text",
              "type": "STATIC"
            }
          ],
          "teams": [
            {
              "id": 1,
              "name": "text"
            }
          ]
        }
      ],
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ],
      "repeating": false,
      "frequency": 1,
      "delayMin": 0,
      "routingKey": "text",
      "managedBy": {
        "type": "API",
        "source": "text"
      }
    },
    "integrationType": "NAGIOS",
    "integrationKey": "text",
    "integrationUrl": "text",
    "autoResolutionTimeout": "text",
    "alertGroupingWindow": "text",
    "alertCreation": "ONE_OPEN_ALERT_ALLOWED",
    "status": "PENDING",
    "active": true,
    "alertPriorityRule": "HIGH",
    "supportHours": {
      "id": 1,
      "name": "text",
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ],
      "timezone": "Europe/Berlin",
      "supportDays": {
        "MONDAY": {
          "start": "00:00:00",
          "end": "00:00:00"
        },
        "TUESDAY": {
          "start": "00:00:00",
          "end": "00:00:00"
        },
        "WEDNESDAY": {
          "start": "00:00:00",
          "end": "00:00:00"
        },
        "THURSDAY": {
          "start": "00:00:00",
          "end": "00:00:00"
        },
        "FRIDAY": {
          "start": "00:00:00",
          "end": "00:00:00"
        },
        "SATURDAY": {
          "start": "00:00:00",
          "end": "00:00:00"
        },
        "SUNDAY": {
          "start": "00:00:00",
          "end": "00:00:00"
        }
      },
      "exceptions": [
        {
          "name": "text",
          "start": "2026-01-01",
          "end": "2026-01-01",
          "supportStatus": "DURING"
        }
      ],
      "managedBy": {
        "type": "API",
        "source": "text"
      },
      "currentStatus": "DURING"
    },
    "bidirectional": true,
    "summaryTemplate": {
      "textTemplate": "text",
      "elements": [
        {
          "type": "TEXT",
          "val": "text",
          "func": "text",
          "args": [
            {
              "S": "text",
              "N": 1
            }
          ]
        }
      ]
    },
    "detailsTemplate": {
      "textTemplate": "text",
      "elements": [
        {
          "type": "TEXT",
          "val": "text",
          "func": "text",
          "args": [
            {
              "S": "text",
              "N": 1
            }
          ]
        }
      ]
    },
    "routingTemplate": {
      "textTemplate": "text",
      "elements": [
        {
          "type": "TEXT",
          "val": "text",
          "func": "text",
          "args": [
            {
              "S": "text",
              "N": 1
            }
          ]
        }
      ]
    },
    "linkTemplates": [
      {
        "text": "text",
        "hrefTemplate": {
          "textTemplate": "text",
          "elements": [
            {
              "type": "TEXT",
              "val": "text",
              "func": "text",
              "args": [
                {
                  "S": "text",
                  "N": 1
                }
              ]
            }
          ]
        }
      }
    ],
    "priorityTemplate": {
      "valueTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "mappings": [
        {
          "value": "text",
          "priority": "LOW"
        }
      ]
    },
    "severityTemplate": {
      "valueTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "mappings": [
        {
          "value": "text",
          "severity": 1
        }
      ]
    },
    "eventFilter": "text",
    "alertKeyTemplate": {
      "textTemplate": "text",
      "elements": [
        {
          "type": "TEXT",
          "val": "text",
          "func": "text",
          "args": [
            {
              "S": "text",
              "N": 1
            }
          ]
        }
      ]
    },
    "servicesTemplate": [
      {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      }
    ],
    "eventTypeFilterCreate": "text",
    "eventTypeFilterAccept": "text",
    "eventTypeFilterResolve": "text",
    "autoRaiseAlerts": true,
    "scoreThreshold": 1,
    "severity": 1,
    "services": [
      {
        "id": 1,
        "name": "text",
        "alias": "text",
        "status": "OPERATIONAL",
        "description": "text",
        "oneOpenIncidentOnly": true,
        "showUptimeHistory": true,
        "teams": [
          {
            "id": 1,
            "name": "text"
          }
        ],
        "subscribed": true,
        "uptime": {
          "rangeStart": "2026-01-01T00:00:00.000Z",
          "rangeEnd": "2026-01-01T00:00:00.000Z",
          "outages": [
            {
              "status": "OPERATIONAL",
              "from": "2026-01-01T00:00:00.000Z",
              "until": "2026-01-01T00:00:00.000Z"
            }
          ],
          "uptimePercentage": {
            "uptimePercentage": {
              "p90": 1,
              "p60": 1,
              "p30": 1
            }
          }
        },
        "managedBy": {
          "type": "API",
          "source": "text"
        },
        "publicStatus": "OPERATIONAL",
        "labels": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "iconUrl": "text",
        "links": [
          {
            "href": "https://example.com",
            "text": "text"
          }
        ],
        "createdBy": {
          "type": "API",
          "source": "text"
        },
        "dependencies": [
          {
            "id": 1,
            "sourceServiceId": 1,
            "targetServiceId": 1,
            "notes": "text",
            "invalidAfter": "2026-01-01T00:00:00.000Z",
            "createdAt": "2026-01-01T00:00:00.000Z",
            "updatedAt": "2026-01-01T00:00:00.000Z",
            "createdBy": {
              "type": "API",
              "source": "text"
            },
            "managedBy": {
              "type": "API",
              "source": "text"
            }
          }
        ]
      }
    ],
    "setupStatus": "CREATED",
    "autoCreateServices": false,
    "createdAt": "text",
    "updatedAt": "text",
    "managedBy": {
      "type": "API",
      "source": "text"
    }
  },
  "escalationPolicy": {
    "id": 1,
    "name": "text",
    "escalationRules": [
      {
        "escalationTimeout": 1,
        "user": {
          "id": 1
        },
        "schedule": {
          "id": 1
        },
        "team": {
          "id": 1
        },
        "users": [
          {
            "id": 1,
            "firstName": "text",
            "lastName": "text"
          }
        ],
        "schedules": [
          {
            "id": 1,
            "name": "text",
            "type": "STATIC"
          }
        ],
        "teams": [
          {
            "id": 1,
            "name": "text"
          }
        ]
      }
    ],
    "teams": [
      {
        "id": 1,
        "name": "text"
      }
    ],
    "repeating": false,
    "frequency": 1,
    "delayMin": 0,
    "routingKey": "text",
    "managedBy": {
      "type": "API",
      "source": "text"
    }
  },
  "priority": "HIGH",
  "alertKey": "text",
  "assignedTo": {
    "id": 1
  },
  "nextEscalation": "2026-01-01T00:00:00.000Z",
  "escalationRules": [
    {
      "escalationTimeout": 1,
      "user": {
        "id": 1
      },
      "schedule": {
        "id": 1
      },
      "team": {
        "id": 1
      },
      "users": [
        {
          "id": 1,
          "firstName": "text",
          "lastName": "text"
        }
      ],
      "schedules": [
        {
          "id": 1,
          "name": "text",
          "type": "STATIC"
        }
      ],
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ]
    }
  ],
  "nextEscalationUser": {
    "id": 1,
    "firstName": "text",
    "lastName": "text",
    "email": "text",
    "timezone": "Europe/Berlin",
    "position": "text",
    "department": "text",
    "avatarUrl": "text",
    "language": "de",
    "region": "DE",
    "role": "STAKEHOLDER",
    "shiftColor": "text",
    "mutedUntil": "2026-01-01T00:00:00.000Z",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z"
  },
  "nextEscalationRuleIndex": 1,
  "images": [
    {
      "src": "text",
      "href": "text",
      "alt": "text"
    }
  ],
  "links": [
    {
      "href": "text",
      "text": "text"
    }
  ],
  "responders": [
    {
      "user": {
        "id": 1,
        "firstName": "text",
        "lastName": "text"
      },
      "status": "PENDING",
      "acceptedAt": "2026-01-01T00:00:00.000Z"
    }
  ],
  "severity": 1,
  "labels": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "customDetails": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "linkedIncidentId": 1,
  "mergedIntoId": 1,
  "mergeState": "NONE"
}

Get available (assignable) responders for the alert with the specified id.

get
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Query parameters
langstringOptional

locale for response text eg. 'en' or 'de'

Responses
200

the list of alert responders

application/json
groupstring · enumOptionalPossible values:
idnumberOptional
namestringOptional
disabledbooleanOptional
get/alerts/{id}/suggested-responders
GET /api/alerts/{id}/suggested-responders HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

the list of alert responders

[
  {
    "group": "SUGGESTED",
    "id": 1,
    "name": "text",
    "disabled": true
  }
]

Add an additional responder to the alert.

post
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Responses
201

the created alert responder object

application/json
statusstring · enumOptionalPossible values:
acceptedAtstring · date-timeOptional
post/alerts/{id}/responders
POST /api/alerts/{id}/responders HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "user": {
    "id": 1,
    "firstName": "text",
    "lastName": "text"
  },
  "status": "PENDING",
  "acceptedAt": "2026-01-01T00:00:00.000Z"
}

Remove a responder from the alert.

delete
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

user-idstringRequired

numeric user id

Responses
204

Responder has been removed

delete/alerts/{id}/responders/{user-id}
DELETE /api/alerts/{id}/responders/{user-id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*

No content

Assign the alert.

put

Either provide a user-id, policy-id (escalation policy) or schedule-id (on-call schedule) that the specific alert should be assigned to.

Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Query parameters
userstringOptional

numeric user id

policystringOptional

numeric policy id

schedulestringOptional

numeric schedule id

Responses
200

the updated alert object

application/json
idinteger · int64Optional
summarystringOptional
detailsstringOptional
reportTimestring · date-timeOptional
resolvedOnstring · date-timeOptional
statusstring · enumOptionalPossible values:
prioritystring · enumOptionalPossible values:
alertKeystringOptional
nextEscalationstring · date-timeRead-onlyOptional
nextEscalationRuleIndexnumberRead-onlyOptional
severityinteger · int32 · min: 1 · max: 5Optional

Optional severity in range 1..5.

linkedIncidentIdinteger · int64Read-onlyOptional

Id of the incident this alert is linked to, if any.

mergedIntoIdinteger · int64Read-onlyOptional

Id of the alert this alert has been merged into, if any.

mergeStatestring · enumRead-onlyOptional

The merge state of the alert.

Possible values:
put/alerts/{id}/assign
PUT /api/alerts/{id}/assign HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

the updated alert object

{
  "id": 1,
  "summary": "text",
  "details": "text",
  "reportTime": "2026-01-01T00:00:00.000Z",
  "resolvedOn": "2026-01-01T00:00:00.000Z",
  "status": "PENDING",
  "alertSource": {
    "id": 1,
    "teams": [
      {
        "id": 1,
        "name": "text"
      }
    ],
    "name": "text",
    "iconUrl": "text",
    "lightIconUrl": "text",
    "darkIconUrl": "text",
    "escalationPolicy": {
      "id": 1,
      "name": "text",
      "escalationRules": [
        {
          "escalationTimeout": 1,
          "user": {
            "id": 1
          },
          "schedule": {
            "id": 1
          },
          "team": {
            "id": 1
          },
          "users": [
            {
              "id": 1,
              "firstName": "text",
              "lastName": "text"
            }
          ],
          "schedules": [
            {
              "id": 1,
              "name": "text",
              "type": "STATIC"
            }
          ],
          "teams": [
            {
              "id": 1,
              "name": "text"
            }
          ]
        }
      ],
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ],
      "repeating": false,
      "frequency": 1,
      "delayMin": 0,
      "routingKey": "text",
      "managedBy": {
        "type": "API",
        "source": "text"
      }
    },
    "integrationType": "NAGIOS",
    "integrationKey": "text",
    "integrationUrl": "text",
    "autoResolutionTimeout": "text",
    "alertGroupingWindow": "text",
    "alertCreation": "ONE_OPEN_ALERT_ALLOWED",
    "status": "PENDING",
    "active": true,
    "alertPriorityRule": "HIGH",
    "supportHours": {
      "id": 1,
      "name": "text",
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ],
      "timezone": "Europe/Berlin",
      "supportDays": {
        "MONDAY": {
          "start": "00:00:00",
          "end": "00:00:00"
        },
        "TUESDAY": {
          "start": "00:00:00",
          "end": "00:00:00"
        },
        "WEDNESDAY": {
          "start": "00:00:00",
          "end": "00:00:00"
        },
        "THURSDAY": {
          "start": "00:00:00",
          "end": "00:00:00"
        },
        "FRIDAY": {
          "start": "00:00:00",
          "end": "00:00:00"
        },
        "SATURDAY": {
          "start": "00:00:00",
          "end": "00:00:00"
        },
        "SUNDAY": {
          "start": "00:00:00",
          "end": "00:00:00"
        }
      },
      "exceptions": [
        {
          "name": "text",
          "start": "2026-01-01",
          "end": "2026-01-01",
          "supportStatus": "DURING"
        }
      ],
      "managedBy": {
        "type": "API",
        "source": "text"
      },
      "currentStatus": "DURING"
    },
    "bidirectional": true,
    "summaryTemplate": {
      "textTemplate": "text",
      "elements": [
        {
          "type": "TEXT",
          "val": "text",
          "func": "text",
          "args": [
            {
              "S": "text",
              "N": 1
            }
          ]
        }
      ]
    },
    "detailsTemplate": {
      "textTemplate": "text",
      "elements": [
        {
          "type": "TEXT",
          "val": "text",
          "func": "text",
          "args": [
            {
              "S": "text",
              "N": 1
            }
          ]
        }
      ]
    },
    "routingTemplate": {
      "textTemplate": "text",
      "elements": [
        {
          "type": "TEXT",
          "val": "text",
          "func": "text",
          "args": [
            {
              "S": "text",
              "N": 1
            }
          ]
        }
      ]
    },
    "linkTemplates": [
      {
        "text": "text",
        "hrefTemplate": {
          "textTemplate": "text",
          "elements": [
            {
              "type": "TEXT",
              "val": "text",
              "func": "text",
              "args": [
                {
                  "S": "text",
                  "N": 1
                }
              ]
            }
          ]
        }
      }
    ],
    "priorityTemplate": {
      "valueTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "mappings": [
        {
          "value": "text",
          "priority": "LOW"
        }
      ]
    },
    "severityTemplate": {
      "valueTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "mappings": [
        {
          "value": "text",
          "severity": 1
        }
      ]
    },
    "eventFilter": "text",
    "alertKeyTemplate": {
      "textTemplate": "text",
      "elements": [
        {
          "type": "TEXT",
          "val": "text",
          "func": "text",
          "args": [
            {
              "S": "text",
              "N": 1
            }
          ]
        }
      ]
    },
    "servicesTemplate": [
      {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      }
    ],
    "eventTypeFilterCreate": "text",
    "eventTypeFilterAccept": "text",
    "eventTypeFilterResolve": "text",
    "autoRaiseAlerts": true,
    "scoreThreshold": 1,
    "severity": 1,
    "services": [
      {
        "id": 1,
        "name": "text",
        "alias": "text",
        "status": "OPERATIONAL",
        "description": "text",
        "oneOpenIncidentOnly": true,
        "showUptimeHistory": true,
        "teams": [
          {
            "id": 1,
            "name": "text"
          }
        ],
        "subscribed": true,
        "uptime": {
          "rangeStart": "2026-01-01T00:00:00.000Z",
          "rangeEnd": "2026-01-01T00:00:00.000Z",
          "outages": [
            {
              "status": "OPERATIONAL",
              "from": "2026-01-01T00:00:00.000Z",
              "until": "2026-01-01T00:00:00.000Z"
            }
          ],
          "uptimePercentage": {
            "uptimePercentage": {
              "p90": 1,
              "p60": 1,
              "p30": 1
            }
          }
        },
        "managedBy": {
          "type": "API",
          "source": "text"
        },
        "publicStatus": "OPERATIONAL",
        "labels": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "iconUrl": "text",
        "links": [
          {
            "href": "https://example.com",
            "text": "text"
          }
        ],
        "createdBy": {
          "type": "API",
          "source": "text"
        },
        "dependencies": [
          {
            "id": 1,
            "sourceServiceId": 1,
            "targetServiceId": 1,
            "notes": "text",
            "invalidAfter": "2026-01-01T00:00:00.000Z",
            "createdAt": "2026-01-01T00:00:00.000Z",
            "updatedAt": "2026-01-01T00:00:00.000Z",
            "createdBy": {
              "type": "API",
              "source": "text"
            },
            "managedBy": {
              "type": "API",
              "source": "text"
            }
          }
        ]
      }
    ],
    "setupStatus": "CREATED",
    "autoCreateServices": false,
    "createdAt": "text",
    "updatedAt": "text",
    "managedBy": {
      "type": "API",
      "source": "text"
    }
  },
  "escalationPolicy": {
    "id": 1,
    "name": "text",
    "escalationRules": [
      {
        "escalationTimeout": 1,
        "user": {
          "id": 1
        },
        "schedule": {
          "id": 1
        },
        "team": {
          "id": 1
        },
        "users": [
          {
            "id": 1,
            "firstName": "text",
            "lastName": "text"
          }
        ],
        "schedules": [
          {
            "id": 1,
            "name": "text",
            "type": "STATIC"
          }
        ],
        "teams": [
          {
            "id": 1,
            "name": "text"
          }
        ]
      }
    ],
    "teams": [
      {
        "id": 1,
        "name": "text"
      }
    ],
    "repeating": false,
    "frequency": 1,
    "delayMin": 0,
    "routingKey": "text",
    "managedBy": {
      "type": "API",
      "source": "text"
    }
  },
  "priority": "HIGH",
  "alertKey": "text",
  "assignedTo": {
    "id": 1
  },
  "nextEscalation": "2026-01-01T00:00:00.000Z",
  "escalationRules": [
    {
      "escalationTimeout": 1,
      "user": {
        "id": 1
      },
      "schedule": {
        "id": 1
      },
      "team": {
        "id": 1
      },
      "users": [
        {
          "id": 1,
          "firstName": "text",
          "lastName": "text"
        }
      ],
      "schedules": [
        {
          "id": 1,
          "name": "text",
          "type": "STATIC"
        }
      ],
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ]
    }
  ],
  "nextEscalationUser": {
    "id": 1,
    "firstName": "text",
    "lastName": "text",
    "email": "text",
    "timezone": "Europe/Berlin",
    "position": "text",
    "department": "text",
    "avatarUrl": "text",
    "language": "de",
    "region": "DE",
    "role": "STAKEHOLDER",
    "shiftColor": "text",
    "mutedUntil": "2026-01-01T00:00:00.000Z",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z"
  },
  "nextEscalationRuleIndex": 1,
  "images": [
    {
      "src": "text",
      "href": "text",
      "alt": "text"
    }
  ],
  "links": [
    {
      "href": "text",
      "text": "text"
    }
  ],
  "responders": [
    {
      "user": {
        "id": 1,
        "firstName": "text",
        "lastName": "text"
      },
      "status": "PENDING",
      "acceptedAt": "2026-01-01T00:00:00.000Z"
    }
  ],
  "severity": 1,
  "labels": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "customDetails": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "linkedIncidentId": 1,
  "mergedIntoId": 1,
  "mergeState": "NONE"
}

Accept the Alert.

put
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Responses
200

the updated alert object

application/json
idinteger · int64Optional
summarystringOptional
detailsstringOptional
reportTimestring · date-timeOptional
resolvedOnstring · date-timeOptional
statusstring · enumOptionalPossible values:
prioritystring · enumOptionalPossible values:
alertKeystringOptional
nextEscalationstring · date-timeRead-onlyOptional
nextEscalationRuleIndexnumberRead-onlyOptional
severityinteger · int32 · min: 1 · max: 5Optional

Optional severity in range 1..5.

linkedIncidentIdinteger · int64Read-onlyOptional

Id of the incident this alert is linked to, if any.

mergedIntoIdinteger · int64Read-onlyOptional

Id of the alert this alert has been merged into, if any.

mergeStatestring · enumRead-onlyOptional

The merge state of the alert.

Possible values:
put/alerts/{id}/accept
PUT /api/alerts/{id}/accept HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

the updated alert object

{
  "id": 1,
  "summary": "text",
  "details": "text",
  "reportTime": "2026-01-01T00:00:00.000Z",
  "resolvedOn": "2026-01-01T00:00:00.000Z",
  "status": "PENDING",
  "alertSource": {
    "id": 1,
    "teams": [
      {
        "id": 1,
        "name": "text"
      }
    ],
    "name": "text",
    "iconUrl": "text",
    "lightIconUrl": "text",
    "darkIconUrl": "text",
    "escalationPolicy": {
      "id": 1,
      "name": "text",
      "escalationRules": [
        {
          "escalationTimeout": 1,
          "user": {
            "id": 1
          },
          "schedule": {
            "id": 1
          },
          "team": {
            "id": 1
          },
          "users": [
            {
              "id": 1,
              "firstName": "text",
              "lastName": "text"
            }
          ],
          "schedules": [
            {
              "id": 1,
              "name": "text",
              "type": "STATIC"
            }
          ],
          "teams": [
            {
              "id": 1,
              "name": "text"
            }
          ]
        }
      ],
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ],
      "repeating": false,
      "frequency": 1,
      "delayMin": 0,
      "routingKey": "text",
      "managedBy": {
        "type": "API",
        "source": "text"
      }
    },
    "integrationType": "NAGIOS",
    "integrationKey": "text",
    "integrationUrl": "text",
    "autoResolutionTimeout": "text",
    "alertGroupingWindow": "text",
    "alertCreation": "ONE_OPEN_ALERT_ALLOWED",
    "status": "PENDING",
    "active": true,
    "alertPriorityRule": "HIGH",
    "supportHours": {
      "id": 1,
      "name": "text",
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ],
      "timezone": "Europe/Berlin",
      "supportDays": {
        "MONDAY": {
          "start": "00:00:00",
          "end": "00:00:00"
        },
        "TUESDAY": {
          "start": "00:00:00",
          "end": "00:00:00"
        },
        "WEDNESDAY": {
          "start": "00:00:00",
          "end": "00:00:00"
        },
        "THURSDAY": {
          "start": "00:00:00",
          "end": "00:00:00"
        },
        "FRIDAY": {
          "start": "00:00:00",
          "end": "00:00:00"
        },
        "SATURDAY": {
          "start": "00:00:00",
          "end": "00:00:00"
        },
        "SUNDAY": {
          "start": "00:00:00",
          "end": "00:00:00"
        }
      },
      "exceptions": [
        {
          "name": "text",
          "start": "2026-01-01",
          "end": "2026-01-01",
          "supportStatus": "DURING"
        }
      ],
      "managedBy": {
        "type": "API",
        "source": "text"
      },
      "currentStatus": "DURING"
    },
    "bidirectional": true,
    "summaryTemplate": {
      "textTemplate": "text",
      "elements": [
        {
          "type": "TEXT",
          "val": "text",
          "func": "text",
          "args": [
            {
              "S": "text",
              "N": 1
            }
          ]
        }
      ]
    },
    "detailsTemplate": {
      "textTemplate": "text",
      "elements": [
        {
          "type": "TEXT",
          "val": "text",
          "func": "text",
          "args": [
            {
              "S": "text",
              "N": 1
            }
          ]
        }
      ]
    },
    "routingTemplate": {
      "textTemplate": "text",
      "elements": [
        {
          "type": "TEXT",
          "val": "text",
          "func": "text",
          "args": [
            {
              "S": "text",
              "N": 1
            }
          ]
        }
      ]
    },
    "linkTemplates": [
      {
        "text": "text",
        "hrefTemplate": {
          "textTemplate": "text",
          "elements": [
            {
              "type": "TEXT",
              "val": "text",
              "func": "text",
              "args": [
                {
                  "S": "text",
                  "N": 1
                }
              ]
            }
          ]
        }
      }
    ],
    "priorityTemplate": {
      "valueTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "mappings": [
        {
          "value": "text",
          "priority": "LOW"
        }
      ]
    },
    "severityTemplate": {
      "valueTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "mappings": [
        {
          "value": "text",
          "severity": 1
        }
      ]
    },
    "eventFilter": "text",
    "alertKeyTemplate": {
      "textTemplate": "text",
      "elements": [
        {
          "type": "TEXT",
          "val": "text",
          "func": "text",
          "args": [
            {
              "S": "text",
              "N": 1
            }
          ]
        }
      ]
    },
    "servicesTemplate": [
      {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      }
    ],
    "eventTypeFilterCreate": "text",
    "eventTypeFilterAccept": "text",
    "eventTypeFilterResolve": "text",
    "autoRaiseAlerts": true,
    "scoreThreshold": 1,
    "severity": 1,
    "services": [
      {
        "id": 1,
        "name": "text",
        "alias": "text",
        "status": "OPERATIONAL",
        "description": "text",
        "oneOpenIncidentOnly": true,
        "showUptimeHistory": true,
        "teams": [
          {
            "id": 1,
            "name": "text"
          }
        ],
        "subscribed": true,
        "uptime": {
          "rangeStart": "2026-01-01T00:00:00.000Z",
          "rangeEnd": "2026-01-01T00:00:00.000Z",
          "outages": [
            {
              "status": "OPERATIONAL",
              "from": "2026-01-01T00:00:00.000Z",
              "until": "2026-01-01T00:00:00.000Z"
            }
          ],
          "uptimePercentage": {
            "uptimePercentage": {
              "p90": 1,
              "p60": 1,
              "p30": 1
            }
          }
        },
        "managedBy": {
          "type": "API",
          "source": "text"
        },
        "publicStatus": "OPERATIONAL",
        "labels": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "iconUrl": "text",
        "links": [
          {
            "href": "https://example.com",
            "text": "text"
          }
        ],
        "createdBy": {
          "type": "API",
          "source": "text"
        },
        "dependencies": [
          {
            "id": 1,
            "sourceServiceId": 1,
            "targetServiceId": 1,
            "notes": "text",
            "invalidAfter": "2026-01-01T00:00:00.000Z",
            "createdAt": "2026-01-01T00:00:00.000Z",
            "updatedAt": "2026-01-01T00:00:00.000Z",
            "createdBy": {
              "type": "API",
              "source": "text"
            },
            "managedBy": {
              "type": "API",
              "source": "text"
            }
          }
        ]
      }
    ],
    "setupStatus": "CREATED",
    "autoCreateServices": false,
    "createdAt": "text",
    "updatedAt": "text",
    "managedBy": {
      "type": "API",
      "source": "text"
    }
  },
  "escalationPolicy": {
    "id": 1,
    "name": "text",
    "escalationRules": [
      {
        "escalationTimeout": 1,
        "user": {
          "id": 1
        },
        "schedule": {
          "id": 1
        },
        "team": {
          "id": 1
        },
        "users": [
          {
            "id": 1,
            "firstName": "text",
            "lastName": "text"
          }
        ],
        "schedules": [
          {
            "id": 1,
            "name": "text",
            "type": "STATIC"
          }
        ],
        "teams": [
          {
            "id": 1,
            "name": "text"
          }
        ]
      }
    ],
    "teams": [
      {
        "id": 1,
        "name": "text"
      }
    ],
    "repeating": false,
    "frequency": 1,
    "delayMin": 0,
    "routingKey": "text",
    "managedBy": {
      "type": "API",
      "source": "text"
    }
  },
  "priority": "HIGH",
  "alertKey": "text",
  "assignedTo": {
    "id": 1
  },
  "nextEscalation": "2026-01-01T00:00:00.000Z",
  "escalationRules": [
    {
      "escalationTimeout": 1,
      "user": {
        "id": 1
      },
      "schedule": {
        "id": 1
      },
      "team": {
        "id": 1
      },
      "users": [
        {
          "id": 1,
          "firstName": "text",
          "lastName": "text"
        }
      ],
      "schedules": [
        {
          "id": 1,
          "name": "text",
          "type": "STATIC"
        }
      ],
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ]
    }
  ],
  "nextEscalationUser": {
    "id": 1,
    "firstName": "text",
    "lastName": "text",
    "email": "text",
    "timezone": "Europe/Berlin",
    "position": "text",
    "department": "text",
    "avatarUrl": "text",
    "language": "de",
    "region": "DE",
    "role": "STAKEHOLDER",
    "shiftColor": "text",
    "mutedUntil": "2026-01-01T00:00:00.000Z",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z"
  },
  "nextEscalationRuleIndex": 1,
  "images": [
    {
      "src": "text",
      "href": "text",
      "alt": "text"
    }
  ],
  "links": [
    {
      "href": "text",
      "text": "text"
    }
  ],
  "responders": [
    {
      "user": {
        "id": 1,
        "firstName": "text",
        "lastName": "text"
      },
      "status": "PENDING",
      "acceptedAt": "2026-01-01T00:00:00.000Z"
    }
  ],
  "severity": 1,
  "labels": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "customDetails": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "linkedIncidentId": 1,
  "mergedIntoId": 1,
  "mergeState": "NONE"
}

Resolve the alert.

put
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Responses
200

the updated alert object

application/json
idinteger · int64Optional
summarystringOptional
detailsstringOptional
reportTimestring · date-timeOptional
resolvedOnstring · date-timeOptional
statusstring · enumOptionalPossible values:
prioritystring · enumOptionalPossible values:
alertKeystringOptional
nextEscalationstring · date-timeRead-onlyOptional
nextEscalationRuleIndexnumberRead-onlyOptional
severityinteger · int32 · min: 1 · max: 5Optional

Optional severity in range 1..5.

linkedIncidentIdinteger · int64Read-onlyOptional

Id of the incident this alert is linked to, if any.

mergedIntoIdinteger · int64Read-onlyOptional

Id of the alert this alert has been merged into, if any.

mergeStatestring · enumRead-onlyOptional

The merge state of the alert.

Possible values:
put/alerts/{id}/resolve
PUT /api/alerts/{id}/resolve HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

the updated alert object

{
  "id": 1,
  "summary": "text",
  "details": "text",
  "reportTime": "2026-01-01T00:00:00.000Z",
  "resolvedOn": "2026-01-01T00:00:00.000Z",
  "status": "PENDING",
  "alertSource": {
    "id": 1,
    "teams": [
      {
        "id": 1,
        "name": "text"
      }
    ],
    "name": "text",
    "iconUrl": "text",
    "lightIconUrl": "text",
    "darkIconUrl": "text",
    "escalationPolicy": {
      "id": 1,
      "name": "text",
      "escalationRules": [
        {
          "escalationTimeout": 1,
          "user": {
            "id": 1
          },
          "schedule": {
            "id": 1
          },
          "team": {
            "id": 1
          },
          "users": [
            {
              "id": 1,
              "firstName": "text",
              "lastName": "text"
            }
          ],
          "schedules": [
            {
              "id": 1,
              "name": "text",
              "type": "STATIC"
            }
          ],
          "teams": [
            {
              "id": 1,
              "name": "text"
            }
          ]
        }
      ],
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ],
      "repeating": false,
      "frequency": 1,
      "delayMin": 0,
      "routingKey": "text",
      "managedBy": {
        "type": "API",
        "source": "text"
      }
    },
    "integrationType": "NAGIOS",
    "integrationKey": "text",
    "integrationUrl": "text",
    "autoResolutionTimeout": "text",
    "alertGroupingWindow": "text",
    "alertCreation": "ONE_OPEN_ALERT_ALLOWED",
    "status": "PENDING",
    "active": true,
    "alertPriorityRule": "HIGH",
    "supportHours": {
      "id": 1,
      "name": "text",
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ],
      "timezone": "Europe/Berlin",
      "supportDays": {
        "MONDAY": {
          "start": "00:00:00",
          "end": "00:00:00"
        },
        "TUESDAY": {
          "start": "00:00:00",
          "end": "00:00:00"
        },
        "WEDNESDAY": {
          "start": "00:00:00",
          "end": "00:00:00"
        },
        "THURSDAY": {
          "start": "00:00:00",
          "end": "00:00:00"
        },
        "FRIDAY": {
          "start": "00:00:00",
          "end": "00:00:00"
        },
        "SATURDAY": {
          "start": "00:00:00",
          "end": "00:00:00"
        },
        "SUNDAY": {
          "start": "00:00:00",
          "end": "00:00:00"
        }
      },
      "exceptions": [
        {
          "name": "text",
          "start": "2026-01-01",
          "end": "2026-01-01",
          "supportStatus": "DURING"
        }
      ],
      "managedBy": {
        "type": "API",
        "source": "text"
      },
      "currentStatus": "DURING"
    },
    "bidirectional": true,
    "summaryTemplate": {
      "textTemplate": "text",
      "elements": [
        {
          "type": "TEXT",
          "val": "text",
          "func": "text",
          "args": [
            {
              "S": "text",
              "N": 1
            }
          ]
        }
      ]
    },
    "detailsTemplate": {
      "textTemplate": "text",
      "elements": [
        {
          "type": "TEXT",
          "val": "text",
          "func": "text",
          "args": [
            {
              "S": "text",
              "N": 1
            }
          ]
        }
      ]
    },
    "routingTemplate": {
      "textTemplate": "text",
      "elements": [
        {
          "type": "TEXT",
          "val": "text",
          "func": "text",
          "args": [
            {
              "S": "text",
              "N": 1
            }
          ]
        }
      ]
    },
    "linkTemplates": [
      {
        "text": "text",
        "hrefTemplate": {
          "textTemplate": "text",
          "elements": [
            {
              "type": "TEXT",
              "val": "text",
              "func": "text",
              "args": [
                {
                  "S": "text",
                  "N": 1
                }
              ]
            }
          ]
        }
      }
    ],
    "priorityTemplate": {
      "valueTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "mappings": [
        {
          "value": "text",
          "priority": "LOW"
        }
      ]
    },
    "severityTemplate": {
      "valueTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "mappings": [
        {
          "value": "text",
          "severity": 1
        }
      ]
    },
    "eventFilter": "text",
    "alertKeyTemplate": {
      "textTemplate": "text",
      "elements": [
        {
          "type": "TEXT",
          "val": "text",
          "func": "text",
          "args": [
            {
              "S": "text",
              "N": 1
            }
          ]
        }
      ]
    },
    "servicesTemplate": [
      {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      }
    ],
    "eventTypeFilterCreate": "text",
    "eventTypeFilterAccept": "text",
    "eventTypeFilterResolve": "text",
    "autoRaiseAlerts": true,
    "scoreThreshold": 1,
    "severity": 1,
    "services": [
      {
        "id": 1,
        "name": "text",
        "alias": "text",
        "status": "OPERATIONAL",
        "description": "text",
        "oneOpenIncidentOnly": true,
        "showUptimeHistory": true,
        "teams": [
          {
            "id": 1,
            "name": "text"
          }
        ],
        "subscribed": true,
        "uptime": {
          "rangeStart": "2026-01-01T00:00:00.000Z",
          "rangeEnd": "2026-01-01T00:00:00.000Z",
          "outages": [
            {
              "status": "OPERATIONAL",
              "from": "2026-01-01T00:00:00.000Z",
              "until": "2026-01-01T00:00:00.000Z"
            }
          ],
          "uptimePercentage": {
            "uptimePercentage": {
              "p90": 1,
              "p60": 1,
              "p30": 1
            }
          }
        },
        "managedBy": {
          "type": "API",
          "source": "text"
        },
        "publicStatus": "OPERATIONAL",
        "labels": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "iconUrl": "text",
        "links": [
          {
            "href": "https://example.com",
            "text": "text"
          }
        ],
        "createdBy": {
          "type": "API",
          "source": "text"
        },
        "dependencies": [
          {
            "id": 1,
            "sourceServiceId": 1,
            "targetServiceId": 1,
            "notes": "text",
            "invalidAfter": "2026-01-01T00:00:00.000Z",
            "createdAt": "2026-01-01T00:00:00.000Z",
            "updatedAt": "2026-01-01T00:00:00.000Z",
            "createdBy": {
              "type": "API",
              "source": "text"
            },
            "managedBy": {
              "type": "API",
              "source": "text"
            }
          }
        ]
      }
    ],
    "setupStatus": "CREATED",
    "autoCreateServices": false,
    "createdAt": "text",
    "updatedAt": "text",
    "managedBy": {
      "type": "API",
      "source": "text"
    }
  },
  "escalationPolicy": {
    "id": 1,
    "name": "text",
    "escalationRules": [
      {
        "escalationTimeout": 1,
        "user": {
          "id": 1
        },
        "schedule": {
          "id": 1
        },
        "team": {
          "id": 1
        },
        "users": [
          {
            "id": 1,
            "firstName": "text",
            "lastName": "text"
          }
        ],
        "schedules": [
          {
            "id": 1,
            "name": "text",
            "type": "STATIC"
          }
        ],
        "teams": [
          {
            "id": 1,
            "name": "text"
          }
        ]
      }
    ],
    "teams": [
      {
        "id": 1,
        "name": "text"
      }
    ],
    "repeating": false,
    "frequency": 1,
    "delayMin": 0,
    "routingKey": "text",
    "managedBy": {
      "type": "API",
      "source": "text"
    }
  },
  "priority": "HIGH",
  "alertKey": "text",
  "assignedTo": {
    "id": 1
  },
  "nextEscalation": "2026-01-01T00:00:00.000Z",
  "escalationRules": [
    {
      "escalationTimeout": 1,
      "user": {
        "id": 1
      },
      "schedule": {
        "id": 1
      },
      "team": {
        "id": 1
      },
      "users": [
        {
          "id": 1,
          "firstName": "text",
          "lastName": "text"
        }
      ],
      "schedules": [
        {
          "id": 1,
          "name": "text",
          "type": "STATIC"
        }
      ],
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ]
    }
  ],
  "nextEscalationUser": {
    "id": 1,
    "firstName": "text",
    "lastName": "text",
    "email": "text",
    "timezone": "Europe/Berlin",
    "position": "text",
    "department": "text",
    "avatarUrl": "text",
    "language": "de",
    "region": "DE",
    "role": "STAKEHOLDER",
    "shiftColor": "text",
    "mutedUntil": "2026-01-01T00:00:00.000Z",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z"
  },
  "nextEscalationRuleIndex": 1,
  "images": [
    {
      "src": "text",
      "href": "text",
      "alt": "text"
    }
  ],
  "links": [
    {
      "href": "text",
      "text": "text"
    }
  ],
  "responders": [
    {
      "user": {
        "id": 1,
        "firstName": "text",
        "lastName": "text"
      },
      "status": "PENDING",
      "acceptedAt": "2026-01-01T00:00:00.000Z"
    }
  ],
  "severity": 1,
  "labels": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "customDetails": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "linkedIncidentId": 1,
  "mergedIntoId": 1,
  "mergeState": "NONE"
}

Raise the alert's priority to HIGH.

put

Only PENDING alerts with priority LOW can be raised.

Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Responses
204

empty response

put/alerts/{id}/raise
PUT /api/alerts/{id}/raise HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*

No content

Escalate the alert to a specific level of its escalation policy.

put
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Body
levelinteger · int32Required

zero-based escalation level

Responses
204

empty response

put/alerts/{id}/escalate-to-level
PUT /api/alerts/{id}/escalate-to-level HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 11

{
  "level": 1
}
204

empty response

No content

Change the summary of the alert.

put
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Body
summarystringRequired
Responses
204

empty response

put/alerts/{id}/change-summary
PUT /api/alerts/{id}/change-summary HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 18

{
  "summary": "text"
}
204

empty response

No content

Get the alerts that were merged into this alert.

get
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Query parameters
start-indexinteger · int32Optional

an integer specifying the starting point (beginning with 0) when paging through a list of entities

Default: 0
max-resultsinteger · int32 · max: 40Optional

the maximum number of results when paging through a list of entities.

Default: 20
Responses
200

a list of merged alerts

application/json
idinteger · int64Optional
summarystringOptional
detailsstringOptional
reportTimestring · date-timeOptional
resolvedOnstring · date-timeOptional
statusstring · enumOptionalPossible values:
prioritystring · enumOptionalPossible values:
alertKeystringOptional
nextEscalationstring · date-timeRead-onlyOptional
nextEscalationRuleIndexnumberRead-onlyOptional
severityinteger · int32 · min: 1 · max: 5Optional

Optional severity in range 1..5.

linkedIncidentIdinteger · int64Read-onlyOptional

Id of the incident this alert is linked to, if any.

mergedIntoIdinteger · int64Read-onlyOptional

Id of the alert this alert has been merged into, if any.

mergeStatestring · enumRead-onlyOptional

The merge state of the alert.

Possible values:
get/alerts/{id}/merged-children
GET /api/alerts/{id}/merged-children HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
[
  {
    "id": 1,
    "summary": "text",
    "details": "text",
    "reportTime": "2026-01-01T00:00:00.000Z",
    "resolvedOn": "2026-01-01T00:00:00.000Z",
    "status": "PENDING",
    "alertSource": {
      "id": 1,
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ],
      "name": "text",
      "iconUrl": "text",
      "lightIconUrl": "text",
      "darkIconUrl": "text",
      "escalationPolicy": {
        "id": 1,
        "name": "text",
        "escalationRules": [
          {
            "escalationTimeout": 1,
            "user": {
              "id": 1
            },
            "schedule": {
              "id": 1
            },
            "team": {
              "id": 1
            },
            "users": [
              {
                "id": 1,
                "firstName": "text",
                "lastName": "text"
              }
            ],
            "schedules": [
              {
                "id": 1,
                "name": "text",
                "type": "STATIC"
              }
            ],
            "teams": [
              {
                "id": 1,
                "name": "text"
              }
            ]
          }
        ],
        "teams": [
          {
            "id": 1,
            "name": "text"
          }
        ],
        "repeating": false,
        "frequency": 1,
        "delayMin": 0,
        "routingKey": "text",
        "managedBy": {
          "type": "API",
          "source": "text"
        }
      },
      "integrationType": "NAGIOS",
      "integrationKey": "text",
      "integrationUrl": "text",
      "autoResolutionTimeout": "text",
      "alertGroupingWindow": "text",
      "alertCreation": "ONE_OPEN_ALERT_ALLOWED",
      "status": "PENDING",
      "active": true,
      "alertPriorityRule": "HIGH",
      "supportHours": {
        "id": 1,
        "name": "text",
        "teams": [
          {
            "id": 1,
            "name": "text"
          }
        ],
        "timezone": "Europe/Berlin",
        "supportDays": {
          "MONDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "TUESDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "WEDNESDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "THURSDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "FRIDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "SATURDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "SUNDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          }
        },
        "exceptions": [
          {
            "name": "text",
            "start": "2026-01-01",
            "end": "2026-01-01",
            "supportStatus": "DURING"
          }
        ],
        "managedBy": {
          "type": "API",
          "source": "text"
        },
        "currentStatus": "DURING"
      },
      "bidirectional": true,
      "summaryTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "detailsTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "routingTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "linkTemplates": [
        {
          "text": "text",
          "hrefTemplate": {
            "textTemplate": "text",
            "elements": [
              {
                "type": "TEXT",
                "val": "text",
                "func": "text",
                "args": [
                  {
                    "S": "text",
                    "N": 1
                  }
                ]
              }
            ]
          }
        }
      ],
      "priorityTemplate": {
        "valueTemplate": {
          "textTemplate": "text",
          "elements": [
            {
              "type": "TEXT",
              "val": "text",
              "func": "text",
              "args": [
                {
                  "S": "text",
                  "N": 1
                }
              ]
            }
          ]
        },
        "mappings": [
          {
            "value": "text",
            "priority": "LOW"
          }
        ]
      },
      "severityTemplate": {
        "valueTemplate": {
          "textTemplate": "text",
          "elements": [
            {
              "type": "TEXT",
              "val": "text",
              "func": "text",
              "args": [
                {
                  "S": "text",
                  "N": 1
                }
              ]
            }
          ]
        },
        "mappings": [
          {
            "value": "text",
            "severity": 1
          }
        ]
      },
      "eventFilter": "text",
      "alertKeyTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "servicesTemplate": [
        {
          "textTemplate": "text",
          "elements": [
            {
              "type": "TEXT",
              "val": "text",
              "func": "text",
              "args": [
                {
                  "S": "text",
                  "N": 1
                }
              ]
            }
          ]
        }
      ],
      "eventTypeFilterCreate": "text",
      "eventTypeFilterAccept": "text",
      "eventTypeFilterResolve": "text",
      "autoRaiseAlerts": true,
      "scoreThreshold": 1,
      "severity": 1,
      "services": [
        {
          "id": 1,
          "name": "text",
          "alias": "text",
          "status": "OPERATIONAL",
          "description": "text",
          "oneOpenIncidentOnly": true,
          "showUptimeHistory": true,
          "teams": [
            {
              "id": 1,
              "name": "text"
            }
          ],
          "subscribed": true,
          "uptime": {
            "rangeStart": "2026-01-01T00:00:00.000Z",
            "rangeEnd": "2026-01-01T00:00:00.000Z",
            "outages": [
              {
                "status": "OPERATIONAL",
                "from": "2026-01-01T00:00:00.000Z",
                "until": "2026-01-01T00:00:00.000Z"
              }
            ],
            "uptimePercentage": {
              "uptimePercentage": {
                "p90": 1,
                "p60": 1,
                "p30": 1
              }
            }
          },
          "managedBy": {
            "type": "API",
            "source": "text"
          },
          "publicStatus": "OPERATIONAL",
          "labels": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          },
          "iconUrl": "text",
          "links": [
            {
              "href": "https://example.com",
              "text": "text"
            }
          ],
          "createdBy": {
            "type": "API",
            "source": "text"
          },
          "dependencies": [
            {
              "id": 1,
              "sourceServiceId": 1,
              "targetServiceId": 1,
              "notes": "text",
              "invalidAfter": "2026-01-01T00:00:00.000Z",
              "createdAt": "2026-01-01T00:00:00.000Z",
              "updatedAt": "2026-01-01T00:00:00.000Z",
              "createdBy": {
                "type": "API",
                "source": "text"
              },
              "managedBy": {
                "type": "API",
                "source": "text"
              }
            }
          ]
        }
      ],
      "setupStatus": "CREATED",
      "autoCreateServices": false,
      "createdAt": "text",
      "updatedAt": "text",
      "managedBy": {
        "type": "API",
        "source": "text"
      }
    },
    "escalationPolicy": {
      "id": 1,
      "name": "text",
      "escalationRules": [
        {
          "escalationTimeout": 1,
          "user": {
            "id": 1
          },
          "schedule": {
            "id": 1
          },
          "team": {
            "id": 1
          },
          "users": [
            {
              "id": 1,
              "firstName": "text",
              "lastName": "text"
            }
          ],
          "schedules": [
            {
              "id": 1,
              "name": "text",
              "type": "STATIC"
            }
          ],
          "teams": [
            {
              "id": 1,
              "name": "text"
            }
          ]
        }
      ],
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ],
      "repeating": false,
      "frequency": 1,
      "delayMin": 0,
      "routingKey": "text",
      "managedBy": {
        "type": "API",
        "source": "text"
      }
    },
    "priority": "HIGH",
    "alertKey": "text",
    "assignedTo": {
      "id": 1
    },
    "nextEscalation": "2026-01-01T00:00:00.000Z",
    "escalationRules": [
      {
        "escalationTimeout": 1,
        "user": {
          "id": 1
        },
        "schedule": {
          "id": 1
        },
        "team": {
          "id": 1
        },
        "users": [
          {
            "id": 1,
            "firstName": "text",
            "lastName": "text"
          }
        ],
        "schedules": [
          {
            "id": 1,
            "name": "text",
            "type": "STATIC"
          }
        ],
        "teams": [
          {
            "id": 1,
            "name": "text"
          }
        ]
      }
    ],
    "nextEscalationUser": {
      "id": 1,
      "firstName": "text",
      "lastName": "text",
      "email": "text",
      "timezone": "Europe/Berlin",
      "position": "text",
      "department": "text",
      "avatarUrl": "text",
      "language": "de",
      "region": "DE",
      "role": "STAKEHOLDER",
      "shiftColor": "text",
      "mutedUntil": "2026-01-01T00:00:00.000Z",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z"
    },
    "nextEscalationRuleIndex": 1,
    "images": [
      {
        "src": "text",
        "href": "text",
        "alt": "text"
      }
    ],
    "links": [
      {
        "href": "text",
        "text": "text"
      }
    ],
    "responders": [
      {
        "user": {
          "id": 1,
          "firstName": "text",
          "lastName": "text"
        },
        "status": "PENDING",
        "acceptedAt": "2026-01-01T00:00:00.000Z"
      }
    ],
    "severity": 1,
    "labels": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    },
    "customDetails": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "linkedIncidentId": 1,
    "mergedIntoId": 1,
    "mergeState": "NONE"
  }
]

Accept multiple alerts.

put
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Bodyobject · SimpleIdField64[]

For POST and PUT requests only the id field is required for sub entities, e.g. status page -> service, alert source -> support hour

idinteger · int64Required
Responses
200

all alerts were processed

application/json

IDs of the processed alerts, grouped by outcome. Only the groups relevant to the operation are returned.

successfulinteger · int64[]Optional

processed successfully

notFoundinteger · int64[]Optional

not found or not accessible

alreadyAcceptedinteger · int64[]Optional

already accepted

alreadyResolvedinteger · int64[]Optional

already resolved

alreadyMergedinteger · int64[]Optional

already merged

internalErrorinteger · int64[]Optional

failed to process

put/alerts/accept_bulk
PUT /api/alerts/accept_bulk HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 10

[
  {
    "id": 1
  }
]
{
  "successful": [
    1
  ],
  "notFound": [
    1
  ],
  "alreadyAccepted": [
    1
  ],
  "alreadyResolved": [
    1
  ],
  "alreadyMerged": [
    1
  ],
  "internalError": [
    1
  ]
}

Assign multiple alerts.

put

Either provide a user, policy (escalation policy) or schedule (on-call schedule) that the alerts should be assigned to.

Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Query parameters
userstringOptional

numeric user id

policystringOptional

numeric policy id

schedulestringOptional

numeric schedule id

Bodyobject · SimpleIdField64[]

For POST and PUT requests only the id field is required for sub entities, e.g. status page -> service, alert source -> support hour

idinteger · int64Required
Responses
200

all alerts were processed

application/json

IDs of the processed alerts, grouped by outcome. Only the groups relevant to the operation are returned.

successfulinteger · int64[]Optional

processed successfully

notFoundinteger · int64[]Optional

not found or not accessible

alreadyAcceptedinteger · int64[]Optional

already accepted

alreadyResolvedinteger · int64[]Optional

already resolved

alreadyMergedinteger · int64[]Optional

already merged

internalErrorinteger · int64[]Optional

failed to process

put/alerts/assign_bulk
PUT /api/alerts/assign_bulk HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 10

[
  {
    "id": 1
  }
]
{
  "successful": [
    1
  ],
  "notFound": [
    1
  ],
  "alreadyAccepted": [
    1
  ],
  "alreadyResolved": [
    1
  ],
  "alreadyMerged": [
    1
  ],
  "internalError": [
    1
  ]
}

Resolve multiple alerts.

put
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Query parameters
resolve-commentstringOptional

optional resolution note

Bodyobject · SimpleIdField64[]

For POST and PUT requests only the id field is required for sub entities, e.g. status page -> service, alert source -> support hour

idinteger · int64Required
Responses
200

all alerts were processed

application/json

IDs of the processed alerts, grouped by outcome. Only the groups relevant to the operation are returned.

successfulinteger · int64[]Optional

processed successfully

notFoundinteger · int64[]Optional

not found or not accessible

alreadyAcceptedinteger · int64[]Optional

already accepted

alreadyResolvedinteger · int64[]Optional

already resolved

alreadyMergedinteger · int64[]Optional

already merged

internalErrorinteger · int64[]Optional

failed to process

put/alerts/resolve_bulk
PUT /api/alerts/resolve_bulk HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 10

[
  {
    "id": 1
  }
]
{
  "successful": [
    1
  ],
  "notFound": [
    1
  ],
  "alreadyAccepted": [
    1
  ],
  "alreadyResolved": [
    1
  ],
  "alreadyMerged": [
    1
  ],
  "internalError": [
    1
  ]
}

Merge alerts into another alert.

post
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Body
mergeIntoIdinteger · int64Required

ID of the alert to merge into

Responses
200

all alerts were processed

application/json

IDs of the processed alerts, grouped by outcome. Only the groups relevant to the operation are returned.

successfulinteger · int64[]Optional

processed successfully

notFoundinteger · int64[]Optional

not found or not accessible

alreadyAcceptedinteger · int64[]Optional

already accepted

alreadyResolvedinteger · int64[]Optional

already resolved

alreadyMergedinteger · int64[]Optional

already merged

internalErrorinteger · int64[]Optional

failed to process

post/alerts/merge_bulk
POST /api/alerts/merge_bulk HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 39

{
  "mergeIntoId": 1,
  "children": [
    {
      "id": 1
    }
  ]
}
{
  "successful": [
    1
  ],
  "notFound": [
    1
  ],
  "alreadyAccepted": [
    1
  ],
  "alreadyResolved": [
    1
  ],
  "alreadyMerged": [
    1
  ],
  "internalError": [
    1
  ]
}

Get notifications for the specified alert.

get
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Responses
200

a list of notification objects

application/json
idinteger · int64Optional
methodstring · enumOptionalPossible values:
targetstringOptional
subjectstringOptional
alertIdinteger · int64Optional
notificationTimestring · date-timeOptional
statusstring · enumOptionalPossible values:
errorMessagestringOptional

An error message in case the notification status is ERROR.

get/alerts/{id}/notifications
GET /api/alerts/{id}/notifications HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

a list of notification objects

[
  {
    "id": 1,
    "method": "PUSH",
    "target": "text",
    "subject": "text",
    "alertId": 1,
    "user": {
      "id": 1,
      "firstname": "text",
      "lastname": "text"
    },
    "notificationTime": "2026-01-01T00:00:00.000Z",
    "status": "SCHEDULED",
    "errorMessage": "text"
  }
]

Get log entries for the specified alert.

get
[...]
